List webhook activity
List the append-only log of webhook configuration changes for this org, newest first, with cursor pagination: who (actor), what (action, field-level changes with secrets redacted), when, and from where (context). Filter by endpoint_id. Entries of deleted endpoints are kept.
OAuth scopes
- webhooks:read
Query Parameters
- Type: integerlimitmin:1max:100
Integer numbers.
- Type: stringFormat: uuidstarting
_after - Type: stringFormat: uuidending
_before - Type: stringFormat: uuidendpoint
_id
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v2/webhook_activity
curl 'https://api.brellium.dev/v2/webhook_activity?limit=20' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"object": "list",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object": "webhook_endpoint_activity",
"org_id": "string",
"endpoint_id": "123e4567-e89b-12d3-a456-426614174000",
"action": "endpoint.updated",
"actor": {
"type": "user",
"id": null,
"display": null
},
"changes": null,
"context": {
"source": "api",
"request_id": "string",
"via": "super_admin"
},
"occurred_at": "2026-09-24T02:34:54.489Z"
}
],
"has_more": true,
"total_count": 342
}